
page=2
pass=100

cp -f /home/chaoli/beegfsChao/petra4/BeamLoadingSim/ILMatrixTracking2022-10-03/MCRFCA_HCRFMODE_Rs18E5/200mA/200mA.rfhc ./
cp /home/chaoli/beegfsChao/CETASIM/TBTBunchAverData.sdds ./CETASIMResult.sdds

sddsprocess 200mA.rfhc -redefine=col,%s,"%s 0 > ? pop 2 pi * - : pop $ ",units=rad,select=Phase* -nowarnings

sddsplot -xLabel="bunchIndex" -yLabel="beam induced voltage phase arg(V)" \
         -col=Bunch,Phase                   200mA.rfhc      -graph=s,c=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,0,0  \
         -col=BunchIndex,beamIndPhase_1      CETASIMResult.sdds     -graph=s,c=2,thickness=2 -leg=specified="CETASim"  -frompage=1 -topage=1 -device=lpng -output="0_turns_argV.png"



sddsplot -xLabel="bunchIndex" -yLabel="beam induced voltage abs(V)" \
         -col=Bunch,V                      200mA.rfhc             -graph=s,c=1,thickness=2  -leg=specified="Elegant" -filter=col,Pass,0,0 \
         -col=BunchIndex,beamIndAmp_1      CETASIMResult.sdds     -graph=s,c=2,thickness=2  -leg=specified="CETASim" -frompage=1 -topage=1   -device=lpng  -output="0_turns_absV.png"
         

         

sddsplot -xLabel="bunchIndex" -yLabel="beam induced voltage phase abs(V)" \
         -col=Bunch,V                             200mA.rfhc      -graph=s,c=1,thickness=2 -leg=specified="Elegant" -filter=col,Pass,$pass,$pass \
         -col=BunchIndex,beamIndAmp_1      CETASIMResult.sdds     -graph=s,c=2,thickness=2 -leg=specified="CETASim" -frompage=$page -topage=$page  -device=lpng -output="100_turns_absV.png"



sddsplot -xLabel="bunchIndex" -yLabel="beam induced voltage arg(V)" \
         -col=Bunch,Phase                    200mA.rfhc      -graph=s,c=1,thickness=2 -leg=specified="Elegant" -filter=col,Pass,$pass,$pass  \
         -col=BunchIndex,beamIndPhase_1      CETASIMResult.sdds      -graph=s,c=2,thickness=2 -leg=specified="CETASim" -frompage=$page -topage=$page -device=lpng -output="100_turns_argV.png"
         
         

