
#!/bin/bash

source ~/.bashrc

SHELL_FOLDER=$(dirname $(readlink -f "$0"))
cd $SHELL_FOLDER





input=Tracking.ele

for ((i=200;i<=200;i=i+20))
do
    root=${i}mA
    qin=`rpnl $i 7.68 \* 1.e-9 \* `
    sub_dir=MCRFCA_HCRFMODE_Rs18E5/$root 
         
    if [ -d "$sub_dir" ]; then
        rm -rf $sub_dir
    fi    
    mkdir -p $sub_dir
    
    echo $i $sub_dir $qin  $vMC $vHC $phaseMC $phaseHC  
    cp -f train.sdds ILMatrix.lte ILMatrix.sdds SREffects.sdds runPelegant_macro.sh Tracking.ele bashDirModify.sh ./$sub_dir  
    cp -f PhaseFeedbackFilters.sdds AmpFeedbackFilters.sdds ./$sub_dir  
    sh  $SHELL_FOLDER/$sub_dir/bashDirModify.sh   
    sbatch $SHELL_FOLDER/$sub_dir/runPelegant_macro.sh $SHELL_FOLDER/$sub_dir/$input $root $qin 
done

rm *~




# in runPelegant_macro.sh, the main command is 

export ECMD="${elegantInput} -macro=root=${root},qin=${qin}"
mpirun Pelegant $ECMD


    















